Bullet Collision Detection & Physics Library: InplaceSolverIslandCallbackMt Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
InplaceSolverIslandCallbackMt Struct Reference
Inheritance diagram for InplaceSolverIslandCallbackMt:
[legend]
Collaboration diagram for InplaceSolverIslandCallbackMt:
[legend]

## Public Member Functions
| InplaceSolverIslandCallbackMt (btConstraintSolver *solver, btStackAlloc *stackAlloc, btDispatcher *dispatcher)
InplaceSolverIslandCallbackMt & | operator= (InplaceSolverIslandCallbackMt &other)
void | setup (btContactSolverInfo *solverInfo, btIDebugDraw *debugDrawer)
virtual void | processIsland (btCollisionObject **bodies, int numBodies, btPersistentManifold **manifolds, int numManifolds, btTypedConstraint **constraints, int numConstraints, int islandId)
Public Member Functions inherited from btSimulationIslandManagerMt::IslandCallback
virtual | ~IslandCallback ()

## Public Attributes
btContactSolverInfo * | m_solverInfo
btConstraintSolver * | m_solver
btIDebugDraw * | m_debugDrawer
btDispatcher * | m_dispatcher

## Detailed Description

Definition at line 53 of file btDiscreteDynamicsWorldMt.cpp.

## Constructor & Destructor Documentation

## ◆ InplaceSolverIslandCallbackMt()

InplaceSolverIslandCallbackMt::InplaceSolverIslandCallbackMt | ( | btConstraintSolver * | solver,
|  | btStackAlloc * | stackAlloc,
|  | btDispatcher * | dispatcher
| ) |  |
| inline

Definition at line 60 of file btDiscreteDynamicsWorldMt.cpp.

## Member Function Documentation

## ◆ operator=()

InplaceSolverIslandCallbackMt& InplaceSolverIslandCallbackMt::operator= | ( | InplaceSolverIslandCallbackMt & | other | ) |
| inline

Definition at line 72 of file btDiscreteDynamicsWorldMt.cpp.

## ◆ processIsland()

virtual void InplaceSolverIslandCallbackMt::processIsland | ( | btCollisionObject ** | bodies,
|  | int | numBodies,
|  | btPersistentManifold ** | manifolds,
|  | int | numManifolds,
|  | btTypedConstraint ** | constraints,
|  | int | numConstraints,
|  | int | islandId
| ) |  |
| inlinevirtual

Implements btSimulationIslandManagerMt::IslandCallback.

Definition at line 87 of file btDiscreteDynamicsWorldMt.cpp.

## ◆ setup()

void InplaceSolverIslandCallbackMt::setup | ( | btContactSolverInfo * | solverInfo,
|  | btIDebugDraw * | debugDrawer
| ) |  |
| inline

Definition at line 79 of file btDiscreteDynamicsWorldMt.cpp.

## Member Data Documentation

## ◆ m_debugDrawer

btIDebugDraw* InplaceSolverIslandCallbackMt::m_debugDrawer

Definition at line 57 of file btDiscreteDynamicsWorldMt.cpp.

## ◆ m_dispatcher

btDispatcher* InplaceSolverIslandCallbackMt::m_dispatcher

Definition at line 58 of file btDiscreteDynamicsWorldMt.cpp.

## ◆ m_solver

btConstraintSolver* InplaceSolverIslandCallbackMt::m_solver

Definition at line 56 of file btDiscreteDynamicsWorldMt.cpp.

## ◆ m_solverInfo

btContactSolverInfo* InplaceSolverIslandCallbackMt::m_solverInfo

Definition at line 55 of file btDiscreteDynamicsWorldMt.cpp.

The documentation for this struct was generated from the following file:

- btDiscreteDynamicsWorldMt.cpp